Package org.apache.xmlbeans.impl.config

## Class BindingConfigImpl

- java.lang.Object
- - org.apache.xmlbeans.BindingConfig
  - - org.apache.xmlbeans.impl.config.BindingConfigImpl

-     public class BindingConfigImpl
      extends BindingConfig

  An implementation of BindingConfig

- - ### Field Summary

    - ### Fields inherited from class org.apache.xmlbeans.BindingConfig

      `QNAME_ACCESSOR_ATTRIBUTE, QNAME_ACCESSOR_ELEMENT, QNAME_DOCUMENT_TYPE, QNAME_TYPE`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static BindingConfig` | `forConfigDocuments​(ConfigDocument.Config[] configs, File[] javaFiles, File[] classpath)` |
    `InterfaceExtension[]` | `getInterfaceExtensions()` |
    `InterfaceExtension[]` | `getInterfaceExtensions​(String fullJavaName)` |
    `PrePostExtension` | `getPrePostExtension​(String fullJavaName)` |
    `PrePostExtension[]` | `getPrePostExtensions()` |
    `UserType[]` | `getUserTypes()` |
    `String` | `lookupJavanameForQName​(QName qname)` | Deprecated. replaced with `lookupJavanameForQName(QName, int)`
    `String` | `lookupJavanameForQName​(QName qname, int kind)` |
    `String` | `lookupPackageForNamespace​(String uri)` |
    `String` | `lookupPrefixForNamespace​(String uri)` |
    `String` | `lookupSuffixForNamespace​(String uri)` |
    `UserType` | `lookupUserTypeForQName​(QName qname)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### forConfigDocuments

          public static BindingConfig forConfigDocuments​(ConfigDocument.Config[] configs,
                                                         File[] javaFiles,
                                                         File[] classpath)

    - #### lookupPackageForNamespace

          public String lookupPackageForNamespace​(String uri)

      Overrides:
        `lookupPackageForNamespace` in class `BindingConfig`
      Parameters:
        `uri` - the namespace uri
      Returns:
        the package name for a namespace or null.

    - #### lookupPrefixForNamespace

          public String lookupPrefixForNamespace​(String uri)

      Overrides:
        `lookupPrefixForNamespace` in class `BindingConfig`
      Parameters:
        `uri` - the namespace uri
      Returns:
        the prefix applied to each java name for a namespace or null.

    - #### lookupSuffixForNamespace

          public String lookupSuffixForNamespace​(String uri)

      Overrides:
        `lookupSuffixForNamespace` in class `BindingConfig`
      Parameters:
        `uri` - the namespace uri
      Returns:
        Get the suffix applied to each java name for a namespace or null.

    - #### lookupJavanameForQName

          public String lookupJavanameForQName​(QName qname)

      Deprecated.
      replaced with `lookupJavanameForQName(QName, int)`

    - #### lookupJavanameForQName

          public String lookupJavanameForQName​(QName qname,
                                               int kind)

      Overrides:
        `lookupJavanameForQName` in class `BindingConfig`
      Parameters:
        `qname` - the qname of the java name
        `kind` - the type of the qname, which one of `BindingConfig.QNAME_TYPE`, `BindingConfig.QNAME_DOCUMENT_TYPE`, `BindingConfig.QNAME_ACCESSOR_ELEMENT`, `BindingConfig.QNAME_ACCESSOR_ATTRIBUTE`
      Returns:
        Get the java name for a QName of a specific component kind, or null.

    - #### lookupUserTypeForQName

          public UserType lookupUserTypeForQName​(QName qname)

      Overrides:
        `lookupUserTypeForQName` in class `BindingConfig`
      Parameters:
        `qname` - the qname of the user type
      Returns:
        a user defined Java type for a given QName.

    - #### getUserTypes

          public UserType[] getUserTypes()

      Overrides:
        `getUserTypes` in class `BindingConfig`
      Returns:
        all defined user types.

    - #### getInterfaceExtensions

          public InterfaceExtension[] getInterfaceExtensions()

      Overrides:
        `getInterfaceExtensions` in class `BindingConfig`
      Returns:
        all configured InterfaceExtensions or an empty array.

    - #### getInterfaceExtensions

          public InterfaceExtension[] getInterfaceExtensions​(String fullJavaName)

      Overrides:
        `getInterfaceExtensions` in class `BindingConfig`
      Parameters:
        `fullJavaName` - the fully qualified java type name
      Returns:
        all InterfaceExtensions defined for the fully qualified java type generated from schema compilation or an empty array.

    - #### getPrePostExtensions

          public PrePostExtension[] getPrePostExtensions()

      Overrides:
        `getPrePostExtensions` in class `BindingConfig`
      Returns:
        all configued PrePostExtensions or an empty array.

    - #### getPrePostExtension

          public PrePostExtension getPrePostExtension​(String fullJavaName)

      Overrides:
        `getPrePostExtension` in class `BindingConfig`
      Parameters:
        `fullJavaName` - the fully qualified java type name
      Returns:
        the PrePostExtension defined for the fully qualified java type generated from schema compilation or null.